### Method

# ECal Component add_alarm

since: 3.34

#### Declaration [src]

    void
    e_cal_component_add_alarm (
      ECalComponent* comp,
      ECalComponentAlarm* alarm
    )

#### Description [src]

Adds an alarm subcomponent to a calendar component. You should have created the `alarm` by using e_cal_component_alarm_new(); it is invalid to use an `ECalComponentAlarm` structure that came from e_cal_component_get_alarm(). After adding the alarm, the `alarm` structure is no longer valid because the internal structures may change and you should get rid of it by using e_cal_component_alarm_free().

Available since: 3.34

#### Parameters

`alarm`

  Type: `ECalComponentAlarm`

  An alarm, as an `ECalComponentAlarm`.

  The data is owned by the caller of the method.